Skip to main content
`Ctrl`+`K`

# PetscFV

PETSc object that manages a finite volume discretization

## Synopsis

    typedef struct _p_PetscFV *PetscFV;

## See Also

`PetscFVCreate()`, `PetscFVSetType()`, `PetscFVType`

## Level

beginner

## Location

include/petscfvtypes.h

## Examples

src/ts/tutorials/ex52.c
src/ts/tutorials/ex11.c
src/dm/impls/plex/tutorials/ex3f90.F90
src/ts/tutorials/ex18.c

## Implementations

_p_PetscFV in include/petsc/private/petscfvimpl.h
PetscFV_Upwind in include/petsc/private/petscfvimpl.h
PetscFV_LeastSquares in include/petsc/private/petscfvimpl.h

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages